Bug 173058 - occasional kernel panic - not syncing: bad locking on boot
occasional kernel panic - not syncing: bad locking on boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-11-13 07:02 EST by David Juran
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 21:55:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Juran 2005-11-13 07:02:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have a dual core AMD64 and occasionaly when I boot it, maybe once a week, the boot process hangs at the line "Initializing hardware"
It then prints "Disabling IRQ 225"
and then, after something like 30 seconds it again prints
kernel panic - not syncing: bad locking

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Happens occasionally during boot


Additional info:
Comment 1 Dave Jones 2005-11-14 14:30:39 EST
is there any call trace along with that panic ?
Comment 2 David Juran 2005-11-15 09:08:07 EST
No, that's all there is. It just stops )-:
Comment 3 Dave Jones 2005-11-30 00:37:28 EST
do you have the word 'quiet' on your boot command line ? If so, remove that, and
it should print something more informational.
(You'll get a ton of other messages too, but hopefully the useful ones will be
onscreen just before the hang)
Comment 4 David Juran 2005-11-30 17:46:45 EST
No, I don't have the quiet parameter, the kernel just fails to panic properly
)-: I do realise there isn't much to go on here...
Comment 5 Dave Jones 2006-02-03 00:48:32 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:55:11 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.